Sell Notify

The Sell Notify endpoint is the final step in the sell transaction lifecycle. Use this to inform Treasury whether a pending sell invoice should be officially confirmed (finalized) or cancelled.

Notify Sell Status

POST /asset/transaction/sell/notify

Headers

Header / TypeConditionDescription
Authorizationstring
required
Bearer token retrieved from the Authentication endpoint.
X-User-Idstring
optional-when
X-Partner-User-Id
Unique user identifier from Treasury.
X-Partner-User-Idstring
optional-when
X-User-Id
Your internal user identifier.

Request Body

Field / TypeConditionDescription
statusstring enum
required
The final status of the transaction. Value: confirmed or cancelled.
invoice_codestring
optional-when
reference_id
The invoice code returned from the Sell request.
reference_idstring
optional-when
invoice_code
The internal reference ID provided by you during the Sell request.

Response

Sample Response (200 OK)

json
{
  "code": 200,
  "data": {
    "status"      : "confirmed",
    "invoice_code": "GSA...",
    "reference_id": "x...",
    "transaction" : {
      "asset_type"       : "gold",
      "asset_grams"      : 0.05,
      "amount"           : 132481,
      "commission_amount": 2103,
      "adjustment_amount": 500,
      "buy_price"        : 2633639,
      "sell_price"       : 2549192,
      "transaction_at"   : "2026-01-01T12:00:00+07:00"
    }
  }
}